Get a new URL for a paper box
curl --request POST \
--url https://api.ironflow.sh/v1/ironbox/{id}/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unbind": false
}
'import requests
url = "https://api.ironflow.sh/v1/ironbox/{id}/rotate"
payload = { "unbind": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({unbind: false})
};
fetch('https://api.ironflow.sh/v1/ironbox/{id}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/ironbox/{id}/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'unbind' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/ironbox/{id}/rotate"
payload := strings.NewReader("{\n \"unbind\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ironflow.sh/v1/ironbox/{id}/rotate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"unbind\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/ironbox/{id}/rotate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"unbind\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "ibx_3f9a0c7e12d4",
"name": "grid-bot",
"state": "creating",
"size": "small",
"mode": "paper",
"runtime": "python",
"markets": [
"perps",
"outcomes"
],
"region": "tokyo",
"created_at": 1762520000000,
"url": "https://api.ironflow.sh/v1/ironbox/ibx_3f9a0c7e12d4",
"dashboard": "https://ironflow.sh/ironbox",
"message": "Your Ironbox is being set up. We email you when it is ready."
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {
"plan": "explorer",
"price_usdc": 49,
"days": 30,
"unlocks": "<string>",
"limit": "rate",
"lifts": "60 requests a minute now, 100 on Explorer",
"url": "<string>",
"how": "<string>",
"buy_url": "<string>",
"pay_per_call": {},
"offer": "<string>"
},
"get_key": {
"method": "POST",
"url": "https://api.ironflow.sh/v1/keys",
"body": {
"email": "[email protected]"
},
"page": "<string>"
},
"dataset": {
"name": "Hyperliquid Liquidations",
"url": "https://huggingface.co/datasets/ironflow/hyperliquid-liquidations?utm_source=api",
"holds": "every liquidation",
"from": "2025-05-25",
"through": "2026-10-31"
},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)",
"allowed_from": 1794394800000,
"did_you_mean": [
"xyz:GOLD-PERP",
"PAXG-PERP"
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "this request needs an API key. Free keys: https://ironflow.sh/key?utm_source=api, or POST https://api.ironflow.sh/v1/keys with {\"email\": \"[email protected]\"} (the key is emailed to that address, never returned, so a person has to open the email)"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {
"plan": "explorer",
"price_usdc": 49,
"days": 30,
"unlocks": "<string>",
"limit": "rate",
"lifts": "60 requests a minute now, 100 on Explorer",
"url": "<string>",
"how": "<string>",
"buy_url": "<string>",
"pay_per_call": {},
"offer": "<string>"
},
"get_key": {
"method": "POST",
"url": "https://api.ironflow.sh/v1/keys",
"body": {
"email": "[email protected]"
},
"page": "<string>"
},
"dataset": {
"name": "Hyperliquid Liquidations",
"url": "https://huggingface.co/datasets/ironflow/hyperliquid-liquidations?utm_source=api",
"holds": "every liquidation",
"from": "2025-05-25",
"through": "2026-10-31"
},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)",
"allowed_from": 1794394800000,
"did_you_mean": [
"xyz:GOLD-PERP",
"PAXG-PERP"
]
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {
"plan": "explorer",
"price_usdc": 49,
"days": 30,
"unlocks": "<string>",
"limit": "rate",
"lifts": "60 requests a minute now, 100 on Explorer",
"url": "<string>",
"how": "<string>",
"buy_url": "<string>",
"pay_per_call": {},
"offer": "<string>"
},
"get_key": {
"method": "POST",
"url": "https://api.ironflow.sh/v1/keys",
"body": {
"email": "[email protected]"
},
"page": "<string>"
},
"dataset": {
"name": "Hyperliquid Liquidations",
"url": "https://huggingface.co/datasets/ironflow/hyperliquid-liquidations?utm_source=api",
"holds": "every liquidation",
"from": "2025-05-25",
"through": "2026-10-31"
},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)",
"allowed_from": 1794394800000,
"did_you_mean": [
"xyz:GOLD-PERP",
"PAXG-PERP"
]
}
}Ironbox
Rotate a paper box URL
POST /v1/ironbox//rotate gives a paper box a new URL, shown once.
POST
/
v1
/
ironbox
/
{id}
/
rotate
Get a new URL for a paper box
curl --request POST \
--url https://api.ironflow.sh/v1/ironbox/{id}/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unbind": false
}
'import requests
url = "https://api.ironflow.sh/v1/ironbox/{id}/rotate"
payload = { "unbind": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({unbind: false})
};
fetch('https://api.ironflow.sh/v1/ironbox/{id}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/ironbox/{id}/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'unbind' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/ironbox/{id}/rotate"
payload := strings.NewReader("{\n \"unbind\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ironflow.sh/v1/ironbox/{id}/rotate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"unbind\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/ironbox/{id}/rotate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"unbind\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "ibx_3f9a0c7e12d4",
"name": "grid-bot",
"state": "creating",
"size": "small",
"mode": "paper",
"runtime": "python",
"markets": [
"perps",
"outcomes"
],
"region": "tokyo",
"created_at": 1762520000000,
"url": "https://api.ironflow.sh/v1/ironbox/ibx_3f9a0c7e12d4",
"dashboard": "https://ironflow.sh/ironbox",
"message": "Your Ironbox is being set up. We email you when it is ready."
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {
"plan": "explorer",
"price_usdc": 49,
"days": 30,
"unlocks": "<string>",
"limit": "rate",
"lifts": "60 requests a minute now, 100 on Explorer",
"url": "<string>",
"how": "<string>",
"buy_url": "<string>",
"pay_per_call": {},
"offer": "<string>"
},
"get_key": {
"method": "POST",
"url": "https://api.ironflow.sh/v1/keys",
"body": {
"email": "[email protected]"
},
"page": "<string>"
},
"dataset": {
"name": "Hyperliquid Liquidations",
"url": "https://huggingface.co/datasets/ironflow/hyperliquid-liquidations?utm_source=api",
"holds": "every liquidation",
"from": "2025-05-25",
"through": "2026-10-31"
},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)",
"allowed_from": 1794394800000,
"did_you_mean": [
"xyz:GOLD-PERP",
"PAXG-PERP"
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "this request needs an API key. Free keys: https://ironflow.sh/key?utm_source=api, or POST https://api.ironflow.sh/v1/keys with {\"email\": \"[email protected]\"} (the key is emailed to that address, never returned, so a person has to open the email)"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {
"plan": "explorer",
"price_usdc": 49,
"days": 30,
"unlocks": "<string>",
"limit": "rate",
"lifts": "60 requests a minute now, 100 on Explorer",
"url": "<string>",
"how": "<string>",
"buy_url": "<string>",
"pay_per_call": {},
"offer": "<string>"
},
"get_key": {
"method": "POST",
"url": "https://api.ironflow.sh/v1/keys",
"body": {
"email": "[email protected]"
},
"page": "<string>"
},
"dataset": {
"name": "Hyperliquid Liquidations",
"url": "https://huggingface.co/datasets/ironflow/hyperliquid-liquidations?utm_source=api",
"holds": "every liquidation",
"from": "2025-05-25",
"through": "2026-10-31"
},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)",
"allowed_from": 1794394800000,
"did_you_mean": [
"xyz:GOLD-PERP",
"PAXG-PERP"
]
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {
"plan": "explorer",
"price_usdc": 49,
"days": 30,
"unlocks": "<string>",
"limit": "rate",
"lifts": "60 requests a minute now, 100 on Explorer",
"url": "<string>",
"how": "<string>",
"buy_url": "<string>",
"pay_per_call": {},
"offer": "<string>"
},
"get_key": {
"method": "POST",
"url": "https://api.ironflow.sh/v1/keys",
"body": {
"email": "[email protected]"
},
"page": "<string>"
},
"dataset": {
"name": "Hyperliquid Liquidations",
"url": "https://huggingface.co/datasets/ironflow/hyperliquid-liquidations?utm_source=api",
"holds": "every liquidation",
"from": "2025-05-25",
"through": "2026-10-31"
},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)",
"allowed_from": 1794394800000,
"did_you_mean": [
"xyz:GOLD-PERP",
"PAXG-PERP"
]
}
}See the Ironbox guide for the full flow.
Authorizations
Ironflow API key, format if_xxxx. Free keys at https://ironflow.sh/key. Optional on read endpoints.
Response
The box with its new base_url.